/* 
File: assets/js/backend.js
Description: JS Script for Backend
Plugin: Smart Adv
Author: Alessio Marzo
*/


jQuery(function($){
$(document).ready(function(){ 
	
	
	// Settings -> jQuery UI Tabs
	$( "#tabs" ).tabs();
	
	// Settings -> Radio Buttons -> jQuery UI
	$( "#sa_global_tt_activation, #sa_global_pp_activation" ).buttonset();
	
	// Settings -> Disable Tooltip options on OFF 
	var tt_gb_activation = $('input:checked', '#sa_global_tt_activation').val();
	
	if (tt_gb_activation == 'OFF'){
		$('#sa_opt_tt_styling').attr('disabled', 'disabled');
		$('#sa_opt_tt_border').attr('disabled', 'disabled');
		$('#sa_opt_tt_shadow').attr('disabled', 'disabled');
	}else{
		$('#sa_opt_tt_styling').removeAttr('disabled');
		$('#sa_opt_tt_border').removeAttr('disabled');
		$('#sa_opt_tt_shadow').removeAttr('disabled');
	}
	
	$('input:radio', '#tooltips').change(function(){
		 
		tt_gb_activation = $(this).val();
		
		if (tt_gb_activation  == 'OFF'){
			$('#sa_opt_tt_styling').attr('disabled', 'disabled');
			$('#sa_opt_tt_border').attr('disabled', 'disabled');
			$('#sa_opt_tt_shadow').attr('disabled', 'disabled');
		}else{
			$('#sa_opt_tt_styling').removeAttr('disabled');
			$('#sa_opt_tt_border').removeAttr('disabled');
			$('#sa_opt_tt_shadow').removeAttr('disabled');
		}
		
	});
		
	// Settings -> Switch popup sources
	var gbPopupSource = $('#sa_opt_pp_source').val();

	if (gbPopupSource == 'density') {
		$('#sa-density').show();
		$('#sa-random').hide();
		$('#sa-category').hide();
		$('#sa-single').hide();
	}
	
	if (gbPopupSource == 'random') {
		$('#sa-density').hide();
		$('#sa-random').show();
		$('#sa-category').hide();
		$('#sa-single').hide();
	}
	
	if (gbPopupSource == 'category') {
		$('#sa-density').hide();
		$('#sa-random').hide();
		$('#sa-category').show();
		$('#sa-single').hide();
	}
	
	if (gbPopupSource == 'single') {
		$('#sa-density').hide();
		$('#sa-random').hide();
		$('#sa-category').hide();
		$('#sa-single').show();
	}
	
	$('#sa_opt_pp_source').change(function(){
		
		var source = $(this).val();

		
		if (source == 'density') {
			$('#sa-density').fadeIn(300);
			$('#sa-random').hide();
			$('#sa-category').hide();
			$('#sa-single').hide();
		}
		
		if (source == 'random') {
			$('#sa-density').hide();
			$('#sa-random').fadeIn(300);
			$('#sa-category').hide();
			$('#sa-single').hide();
		}
		
		if (source == 'category') {
			$('#sa-density').hide();
			$('#sa-random').hide();
			$('#sa-category').fadeIn(300);
			$('#sa-single').hide();
		}
		
		if (source == 'single') {
			$('#sa-density').hide();
			$('#sa-random').hide();
			$('#sa-category').hide();
			$('#sa-single').fadeIn(300);
		}
		
	});
	
	// Settings -> Disable Popup options on OFF 
	var pp_gb_activation = $('input:checked', '#sa_global_pp_activation').val();
	
	if (pp_gb_activation == 'OFF'){
		$('#sa_opt_pp_expires').attr('disabled', 'disabled');
		$('#sa_opt_pp_animation').attr('disabled', 'disabled');
		$('#sa_opt_pp_speed').attr('disabled', 'disabled');
		$('#sa_opt_pp_source').attr('disabled', 'disabled');
		$('#sa_opt_pp_cat').attr('disabled', 'disabled');
		$('#sa_opt_pp_single').attr('disabled', 'disabled');
	}else{
		$('#sa_opt_pp_expires').removeAttr('disabled');
		$('#sa_opt_pp_animation').removeAttr('disabled');
		$('#sa_opt_pp_speed').removeAttr('disabled');
		$('#sa_opt_pp_source').removeAttr('disabled');
		$('#sa_opt_pp_cat').removeAttr('disabled');
		$('#sa_opt_pp_single').removeAttr('disabled');		
	}
	
	$('input:radio', '#popups').change(function(){
		 
		pp_gb_activation = $(this).val();
		
		if (pp_gb_activation  == 'OFF'){
			$('#sa_opt_pp_expires').attr('disabled', 'disabled');
			$('#sa_opt_pp_animation').attr('disabled', 'disabled');
			$('#sa_opt_pp_speed').attr('disabled', 'disabled');
			$('#sa_opt_pp_source').attr('disabled', 'disabled');
			$('#sa_opt_pp_cat').attr('disabled', 'disabled');
			$('#sa_opt_pp_single').attr('disabled', 'disabled');
		}else{
			$('#sa_opt_pp_expires').removeAttr('disabled');
			$('#sa_opt_pp_animation').removeAttr('disabled');
			$('#sa_opt_pp_speed').removeAttr('disabled');
			$('#sa_opt_pp_source').removeAttr('disabled');
			$('#sa_opt_pp_cat').removeAttr('disabled');
			$('#sa_opt_pp_single').removeAttr('disabled');	
		}
		
	});
	
	
	
	// Metafields -> Radio Buttons -> jQuery UI
	$( ".SACMB_Radio_Field" ).buttonset();
	
	// Metafields -> Disable Tooltip options on GLOBAL or OFF 
	var tt_activation = $('input:checked', '#sa_tt_activation').val();
	
	if (tt_activation != 1){
		$('#sa_tt_styling select').attr('disabled', 'disabled');
		$('#sa_tt_styling_rounded input').attr('disabled', 'disabled');
		$('#sa_tt_styling_shadow input').attr('disabled', 'disabled');
	}else{
		$('#sa_tt_styling select').removeAttr('disabled');
		$('#sa_tt_styling_rounded input').removeAttr('disabled');
		$('#sa_tt_styling_shadow input').removeAttr('disabled');
	}
	
	$('input:radio', '#sa_tt_activation').change(function(){
		
		tt_activation = $(this).val();
		
		if (tt_activation != 1){
			$('#sa_tt_styling select').attr('disabled', 'disabled');
			$('#sa_tt_styling_rounded input').attr('disabled', 'disabled');
			$('#sa_tt_styling_shadow input').attr('disabled', 'disabled');
		}else{
			$('#sa_tt_styling select').removeAttr('disabled');
			$('#sa_tt_styling_rounded input').removeAttr('disabled');
			$('#sa_tt_styling_shadow input').removeAttr('disabled');
		}
		
	});
	
	
	// Disable Popup options on GLOBAL or OFF 
	var pp_activation = $('input:checked', '#sa_pp_activation').val();
	
	if (pp_activation != 1){
		$('#sa_pp_expires input').attr('disabled', 'disabled');
		$('#sa_pp_animation select').attr('disabled', 'disabled');
		$('#sa_pp_speed input').attr('disabled', 'disabled');
		$('#sa_pp_source select').attr('disabled', 'disabled');
		$('#sa_pp_category select').attr('disabled', 'disabled');
		$('#sa_pp_single select').attr('disabled', 'disabled');
	}else{
		$('#sa_pp_expires input').removeAttr('disabled');
		$('#sa_pp_animation select').removeAttr('disabled');
		$('#sa_pp_speed input').removeAttr('disabled');
		$('#sa_pp_source select').removeAttr('disabled');
		$('#sa_pp_category select').removeAttr('disabled');
		$('#sa_pp_single select').removeAttr('disabled');
	}
	
	$('input:radio', '#sa_pp_activation').change(function(){
		
		pp_activation = $(this).val();
		
		if (pp_activation != 1){
			$('#sa_pp_expires input').attr('disabled', 'disabled');
			$('#sa_pp_animation select').attr('disabled', 'disabled');
			$('#sa_pp_speed input').attr('disabled', 'disabled');
			$('#sa_pp_source select').attr('disabled', 'disabled');
			$('#sa_pp_category select').attr('disabled', 'disabled');
			$('#sa_pp_single select').attr('disabled', 'disabled');
		}else{
			$('#sa_pp_expires input').removeAttr('disabled');
			$('#sa_pp_animation select').removeAttr('disabled');
			$('#sa_pp_speed input').removeAttr('disabled');
			$('#sa_pp_source select').removeAttr('disabled');
			$('#sa_pp_category select').removeAttr('disabled');
			$('#sa_pp_single select').removeAttr('disabled');
		}
		
	});
	
	
	
	// Switch popup sources
	var popupSource = $('#sa_pp_source .sacmb_select').val();
	
	if (popupSource == 'density') {
		$('#sa_pp_density').parent().parent().show();
		$('#sa_pp_random').parent().parent().hide();
		$('#sa_pp_category').parent().parent().hide();
		$('#sa_pp_single').parent().parent().hide();
	}
	
	if (popupSource == 'random') {
		$('#sa_pp_density').parent().parent().hide();
		$('#sa_pp_random').parent().parent().show();
		$('#sa_pp_category').parent().parent().hide();
		$('#sa_pp_single').parent().parent().hide();
	}
	
	if (popupSource == 'category') {
		$('#sa_pp_density').parent().parent().hide();
		$('#sa_pp_random').parent().parent().hide();
		$('#sa_pp_category').parent().parent().show();
		$('#sa_pp_single').parent().parent().hide();
	}
	
	if (popupSource == 'single') {
		$('#sa_pp_density').parent().parent().hide();
		$('#sa_pp_random').parent().parent().hide();
		$('#sa_pp_category').parent().parent().hide();
		$('#sa_pp_single').parent().parent().show();
	}
	
	$('#sa_pp_source .sacmb_select').change(function(){
		
		var source = $(this).val();
		
		if (source == 'density') {
			$('#sa_pp_density').parents('.sacmb-row').fadeIn(300);
			$('#sa_pp_random').parents('.sacmb-row').hide();
			$('#sa_pp_category').parents('.sacmb-row').hide();
			$('#sa_pp_single').parents('.sacmb-row').hide();
		}
		
		if (source == 'random') {
			$('#sa_pp_density').parents('.sacmb-row').hide();
			$('#sa_pp_random').parents('.sacmb-row').fadeIn(300);
			$('#sa_pp_category').parents('.sacmb-row').hide();
			$('#sa_pp_single').parents('.sacmb-row').hide();
		}
		
		if (source == 'category') {
			$('#sa_pp_density').parents('.sacmb-row').hide();
			$('#sa_pp_random').parents('.sacmb-row').hide();
			$('#sa_pp_category').parents('.sacmb-row').fadeIn(300);
			$('#sa_pp_single').parents('.sacmb-row').hide();
		}
		
		if (source == 'single') {
			$('#sa_pp_density').parents('.sacmb-row').hide();
			$('#sa_pp_random').parents('.sacmb-row').hide();
			$('#sa_pp_category').parents('.sacmb-row').hide();
			$('#sa_pp_single').parents('.sacmb-row').fadeIn(300);
		}
		
	});
	
	
	// Switch ADV type
	var advType = $('#sa_smartadv_type .sacmb_select').val();
	
	if (advType == 'html') {
		$('#sa_smartadv_html').parent().show();
		$('#sa_smartadv_text').parent().hide();
		$('#sa_smartadv_code').parent().hide();
		$('#sa_smartadv_media_image').parent().hide();
		$('#sa_smartadv_media_url').parent().hide();
		$('#sa_smartadv_media_target').parent().hide();
	}
	
	if (advType == 'text') {
		$('#sa_smartadv_html').parent().hide();
		$('#sa_smartadv_text').parent().show();
		$('#sa_smartadv_code').parent().hide();
		$('#sa_smartadv_media_image').parent().hide();
		$('#sa_smartadv_media_url').parent().hide();
		$('#sa_smartadv_media_target').parent().hide();
	}
	
	if (advType == 'code') {
		$('#sa_smartadv_html').parent().hide();
		$('#sa_smartadv_text').parent().hide();
		$('#sa_smartadv_code').parent().show();
		$('#sa_smartadv_media_image').parent().hide();
		$('#sa_smartadv_media_url').parent().hide();
		$('#sa_smartadv_media_target').parent().hide();
	}
	
	if (advType == 'media') {
		$('#sa_smartadv_html').parent().hide();
		$('#sa_smartadv_text').parent().hide();
		$('#sa_smartadv_code').parent().hide();
		$('#sa_smartadv_media_image').parent().show();
		$('#sa_smartadv_media_url').parent().show();
		$('#sa_smartadv_media_target').parent().show();
	}
	
	$('#sa_smartadv_type .sacmb_select').change(function(){
		
		var type = $(this).val();
		
		if (type == 'html') {
			$('#sa_smartadv_html').parent().fadeIn(300);
			$('#sa_smartadv_text').parent().hide();
			$('#sa_smartadv_code').parent().hide();
			$('#sa_smartadv_media_image').parent().hide();
			$('#sa_smartadv_media_url').parent().hide();
			$('#sa_smartadv_media_target').parent().hide();
		}
		
		if (type == 'text') {
			$('#sa_smartadv_html').parent().hide();
			$('#sa_smartadv_text').parent().fadeIn(300);
			$('#sa_smartadv_code').parent().hide();
			$('#sa_smartadv_media_image').parent().hide();
			$('#sa_smartadv_media_url').parent().hide();
			$('#sa_smartadv_media_target').parent().hide();
		}
		
		if (type == 'code') {
			$('#sa_smartadv_html').parent().hide();
			$('#sa_smartadv_text').parent().hide();
			$('#sa_smartadv_code').parent().fadeIn(300);
			$('#sa_smartadv_media_image').parent().hide();
			$('#sa_smartadv_media_url').parent().hide();
			$('#sa_smartadv_media_target').parent().hide();
		}
		
		if (type == 'media') {
			$('#sa_smartadv_html').parent().hide();
			$('#sa_smartadv_text').parent().hide();
			$('#sa_smartadv_code').parent().hide();
			$('#sa_smartadv_media_image').parent().fadeIn(300);
			$('#sa_smartadv_media_url').parent().fadeIn(300);
			$('#sa_smartadv_media_target').parent().fadeIn(300);
		}
		
	});
	
	
	// Clean Local Storage
	$('#remove-storage').click(function(){
		
		localStorage.clear();
		
		$('#remove-storage-result').append('<span>SmartADV cookies cleaned!</span>'); 
		
		setTimeout( function(){
			
					$('#remove-storage-result span').fadeOut(300,  
						
						function() { 
							$(this).remove(); 
						});
						
					}, 2000);
		
	});
	
	
	// TOOLTIP SHORTCODE //
	
	// Custom popup box
	$("#sa-tooltip-button").click(function(){
		$("#sa-tooltip-generator-wrap, #sa-tooltip-generator-overlay").fadeIn(300);
	});
	
	$("#sa-tooltip-generator-close").click(function(){
		$("#sa-tooltip-generator-wrap, #sa-tooltip-generator-overlay").hide();
	});
	

	// Create Short in CODE tag
	$('#sa-tooltip-generator-content, #sa-tooltip-generator-style, #sa-tooltip-generator-border, #sa-tooltip-generator-shadow').change(function(){
		
		// Vars
		var adv = $('#sa-tooltip-generator-content').val();
		var style = $('#sa-tooltip-generator-style').val();
		
		if($('#sa-tooltip-generator-border').attr('checked')) { var border = 'true';}else{var border = 'false';}
		if($('#sa-tooltip-generator-shadow').attr('checked')) { var shadow = 'true';}else{var shadow = 'false';}

		var key = $('#sa-tooltip-generator-keyword').val();
		var html = '';
		
		// Create Html
		html = '[saTooltip adv="' + adv + '" style="' + style + '" roundedborder="' + border + '" boxshadow="' + shadow + '"]' + key + '[/saTooltip]';
		
		// Send to CODE tag
		$('#sa-tooltip-generator-shortcode').html(html);
			
	});
	
	$('#sa-tooltip-generator-keyword').live('keyup', function(e) {
       
	   // Vars
		var adv = $('#sa-tooltip-generator-content').val();
		var style = $('#sa-tooltip-generator-style').val();
		
		if($('#sa-tooltip-generator-border').attr('checked')) { var border = 'true';}else{var border = 'false';}
		if($('#sa-tooltip-generator-shadow').attr('checked')) { var shadow = 'true';}else{var shadow = 'false';}

		var key = $('#sa-tooltip-generator-keyword').val();
		var html = '';
		
		// Create Html
		html = '[saTooltip adv="' + adv + '" style="' + style + '" roundedborder="' + border + '" boxshadow="' + shadow + '"]' + key + '[/saTooltip]';
		
		// Send to CODE tag
		$('#sa-tooltip-generator-shortcode').html(html);
	   
    });

	
	$('#sa-tooltip-generator-insert').click(function(){
		
		// Vars
		var adv = $('#sa-tooltip-generator-content').val();
		var style = $('#sa-tooltip-generator-style').val();
		
		if($('#sa-tooltip-generator-border').attr('checked')) { var border = 'true';}else{var border = 'false';}
		if($('#sa-tooltip-generator-shadow').attr('checked')) { var shadow = 'true';}else{var shadow = 'false';}

		var key = $('#sa-tooltip-generator-keyword').val();
		var html = '';
		
		// Create Html
		html = '[saTooltip adv="' + adv + '" style="' + style + '" roundedborder="' + border + '" boxshadow="' + shadow + '"]' + key + '[/saTooltip]';
		
		// Send to editor
		window.send_to_editor(html);
		
		// Close Generator
		$("#sa-tooltip-generator-wrap, #sa-tooltip-generator-overlay").hide();

		// Prevent default action
		event.preventDefault();
		return false;
		
	});
	
	
});
});
