<?php
/*
File: inc/assets.php
Description: Assets inclusion
Plugin: Smart Adv
Author: Alessio Marzo
*/



//********************************************************************************//
// CSS
//********************************************************************************//


// Frontend
add_action( 'wp_enqueue_scripts', 'sa_frontend_styles' );

function sa_frontend_styles() {
	
	// Main
	wp_register_style( 'sa-main-style',  SA_URL . 'assets/css/frontend.css' );
    wp_enqueue_style( 'sa-main-style' );
	
	// qTips
	wp_register_style( 'sa-qtip-style',  SA_URL . 'assets/css/jquery.qtip.css' );
    wp_enqueue_style( 'sa-qtip-style' );
	
	// Reveal
	wp_register_style( 'sa-reveal-style',  SA_URL . 'assets/css/reveal.css' );
    wp_enqueue_style( 'sa-reveal-style' );
	
	// Fonts
	wp_register_style( 'sa-fonts-style',  SA_URL . 'assets/css/fonts.css' );
    wp_enqueue_style( 'sa-fonts-style' );
	
	// Inline
	wp_add_inline_style( 'sa-fonts-style', get_option('sa_opt_css') ); 
	
}


// Backend
add_action( 'admin_enqueue_scripts', 'sa_backend_styles' );

function sa_backend_styles() {
	
	// Main
	wp_register_style( 'sa-backend-style',  SA_URL . 'assets/css/backend.css' );
    wp_enqueue_style( 'sa-backend-style' );
	
	// Jquery UI Style
	wp_enqueue_style('jquery-ui-css', SA_URL . 'assets/css/jquery-ui/jquery-ui-1.10.4.custom.css');
	wp_enqueue_style( 'jquery-ui-css' );
	
}



//********************************************************************************//
// JS
//********************************************************************************//


// Frontend
add_action('wp_enqueue_scripts', 'sa_frontend_scripts');

function sa_frontend_scripts() {
	
	// Load WP jQuery if not included
	wp_enqueue_script('jquery');
	
	// Load qTips js script
	wp_register_script('sa-qtip-script', SA_URL . 'assets/js/jquery.qtip.js', array('jquery'), '', true);
	wp_enqueue_script('sa-qtip-script');
	
	// Load Reveal js script
	wp_register_script('sa-reveal-script', SA_URL . 'assets/js/jquery.reveal.js', array('jquery'), '', true);
	wp_enqueue_script('sa-reveal-script');
	
	// Load localstorage js script
	wp_register_script('sa-localstorage-script', SA_URL . 'assets/js/localstorage.js', '', '', true);
	wp_enqueue_script('sa-localstorage-script');
	
	// Load jQuery Crypt 
	wp_register_script('sa-jquery-crypt-script', SA_URL . 'assets/js/jquery.crypt.js', array('jquery'), '', true);
	wp_enqueue_script('sa-jquery-crypt-script');
	
	// Load main js script
	wp_register_script('sa-frontend-script', SA_URL . 'assets/js/frontend.js', array('jquery'), '', true);
	wp_enqueue_script('sa-frontend-script');
	
}


// Backend
add_action('admin_enqueue_scripts', 'sa_backend_scripts');

function sa_backend_scripts() {
	
	// Load WP jQuery if not included
	wp_enqueue_script('jquery');
	
	// Load WP jQuery UI
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-button');
	wp_enqueue_script('jquery-ui-tabs');
	
	// Load main js script
	wp_register_script('sa-backend-script', SA_URL . 'assets/js/backend.js', array('jquery'), '', false);
	wp_enqueue_script('sa-backend-script');
	
	
}