<?php
/*
File: inc/posttypes/advertises-settings.php
Description: Settings for Advertises Post Type
Plugin: Smart Adv
Author: Alessio Marzo
*/


// Advertises's Settings Menu 

add_action('admin_menu', 'sa_advertises_settings');

function sa_advertises_settings() {
	
    add_submenu_page( 'edit.php?post_type=advertises', __('Smart ADV Settings', SA_PLG_NAME), __('Settings', SA_PLG_NAME), 'manage_options', 'advertises_options', 'sa_advertises_options');
	
}

// Advertises's Options page function
function sa_advertises_options() {
	
	
	if( isset($_POST['submit']) ) { // Chek IF Submit
		
	// Update Options
	
	if (!empty($_POST['sa_opt_tt_activation'])) {
		update_option('sa_opt_tt_activation', $_POST['sa_opt_tt_activation'] );
	}
	
	if (!empty($_POST['sa_opt_tt_styling'])) {
	update_option('sa_opt_tt_styling', $_POST['sa_opt_tt_styling'] );
	}
	
	if (!empty($_POST['sa_opt_tt_border'])) {
		update_option('sa_opt_tt_border', $_POST['sa_opt_tt_border'] );
	}else{
		delete_option('sa_opt_tt_border');
	}

	if (!empty($_POST['sa_opt_tt_shadow'])) {
		update_option('sa_opt_tt_shadow', $_POST['sa_opt_tt_shadow'] );
	}else{
		delete_option('sa_opt_tt_shadow');
	}
	
	if (!empty($_POST['sa_opt_pp_activation'])) {
		update_option('sa_opt_pp_activation', $_POST['sa_opt_pp_activation'] );
	}
	
	if (!empty($_POST['sa_opt_pp_expires'])) {
		update_option('sa_opt_pp_expires', $_POST['sa_opt_pp_expires'] );
	}
	
	if (!empty($_POST['sa_opt_pp_animation'])) {
		update_option('sa_opt_pp_animation', $_POST['sa_opt_pp_animation'] );
	}
	
	if (!empty($_POST['sa_opt_pp_speed'])) {	
		update_option('sa_opt_pp_speed', $_POST['sa_opt_pp_speed'] );
	}
	
	if (!empty($_POST['sa_opt_pp_source'])) {
		update_option('sa_opt_pp_source', $_POST['sa_opt_pp_source'] );
	}
	
	if (!empty($_POST['sa_opt_pp_cat'])) {
		update_option('sa_opt_pp_cat', $_POST['sa_opt_pp_cat'] );
	}
	
	if (!empty($_POST['sa_opt_pp_single'])) {
		update_option('sa_opt_pp_single', $_POST['sa_opt_pp_single'] );
	}
	
	if (!empty($_POST['sa_opt_css'])) {
		update_option('sa_opt_css', $_POST['sa_opt_css'] );
	}
	
	
	}// IF Submit
	
	
	// Check Saved Options
	$sa_opt_tt_activation = get_option( 'sa_opt_tt_activation', '' );
	$sa_opt_tt_styling = get_option( 'sa_opt_tt_styling', '' );
	$sa_opt_tt_border = get_option( 'sa_opt_tt_border', '' );
	$sa_opt_tt_shadow = get_option( 'sa_opt_tt_shadow', '' );
	
	$sa_opt_pp_activation = get_option( 'sa_opt_pp_activation', '' );
	$sa_opt_pp_expires = get_option( 'sa_opt_pp_expires', '' );
	$sa_opt_pp_animation = get_option( 'sa_opt_pp_animation', '' );
	$sa_opt_pp_speed = get_option( 'sa_opt_pp_speed', '' );
	$sa_opt_pp_source = get_option( 'sa_opt_pp_source', '' );
	$sa_opt_pp_cat = get_option( 'sa_opt_pp_cat', '' );
	$sa_opt_pp_single = get_option( 'sa_opt_pp_single', '' );
	
	$sa_opt_css = get_option( 'sa_opt_css', '' );
	
	
	// HTML //
	
	echo '<h1>'.__('Smart ADV Settings', SA_PLG_NAME).'</h1><h2>'.__('Global Options to setup your Smart ADV', SA_PLG_NAME).'</h2>';
	
	echo '<form method="POST" action="'.$_SERVER['REQUEST_URI'].'">';
	
	?>	
    
	<div id="tabs">
    
	<ul>
	<li><a href="#tooltips">Tooltips</a></li>
	<li><a href="#popups">Popups</a></li>
	<li><a href="#utility">Utility</a></li>
	</ul>
    
	<div id="tooltips">
	<p>
    <h4><?php _e('These options will be inherited by all pages and posts that have Global feature enabled', SA_PLG_NAME); ?></h4>
    
    <div id="sa_global_tt_activation">
    
    <input type="radio" id="sa_global_tt_on" name="sa_opt_tt_activation" value="ON" <?php if($sa_opt_tt_activation == 'ON'){echo 'checked="checked"';} ?>>
    <label for="sa_global_tt_on">ON</label>
    
    <input type="radio" id="sa_global_tt_off" name="sa_opt_tt_activation" value="OFF" <?php if($sa_opt_tt_activation == 'OFF'){echo 'checked="checked"';} ?>>
    <label for="sa_global_tt_off">OFF</label>
    
    <div class="sa_settings_description"><?php _e('Enable Tooltips injection for all posts and pages', SA_PLG_NAME); ?></div>
    </div>
    
    <h5><?php _e('Styling', SA_PLG_NAME);?></h5>
    <select style="width: 100%" class="sa_settings_select" name="sa_opt_tt_styling" id="sa_opt_tt_styling">
    	<option value="" <?php if(empty($sa_opt_tt_styling)){echo 'selected="selected"';} ?>>Default yellow style</option>
		<option value="qtip-light" <?php if($sa_opt_tt_styling == 'qtip-light'){echo 'selected="selected"';} ?>>Light coloured style</option>
		<option value="qtip-dark" <?php if($sa_opt_tt_styling == 'qtip-dark'){echo 'selected="selected"';} ?>>Alternative dark style</option>
		<option value="qtip-cream" <?php if($sa_opt_tt_styling == 'qtip-cream'){echo 'selected="selected"';} ?>>Cream-esque style, similar to the default</option>
		<option value="qtip-red" <?php if($sa_opt_tt_styling == 'qtip-red'){echo 'selected="selected"';} ?>>Alert-ful red style</option>
		<option value="qtip-green" <?php if($sa_opt_tt_styling == 'qtip-green'){echo 'selected="selected"';} ?>>Positive green style</option>
		<option value="qtip-blue" <?php if($sa_opt_tt_styling == 'qtip-blue'){echo 'selected="selected"';} ?>>Informative blue style</option>
		<option value="qtip-bootstrap" <?php if($sa_opt_tt_styling == 'qtip-bootstrap'){echo 'selected="selected"';} ?>>Twitter Bootstrap style</option>
		<option value="qtip-youtube" <?php if($sa_opt_tt_styling == 'qtip-youtube'){echo 'selected="selected"';} ?>>Google's new YouTube style</option>
		<option value="qtip-tipsy" <?php if($sa_opt_tt_styling == 'qtip-tipsy'){echo 'selected="selected"';} ?>>Minimalist Tipsy style</option>
		<option value="qtip-tipped" <?php if($sa_opt_tt_styling == 'qtip-tipped'){echo 'selected="selected"';} ?>>Tipped libraries "Blue" style</option>
		<option value="qtip-jtools" <?php if($sa_opt_tt_styling == 'qtip-jtools'){echo 'selected="selected"';} ?>>jTools tooltip style</option>
		<option value="qtip-cluetip" <?php if($sa_opt_tt_styling == 'qtip-cluetip'){echo 'selected="selected"';} ?>>Good ole' ClueTip style</option>
	</select>
    
    <input name="sa_opt_tt_border" type="checkbox" class="sa_settings_checkbox" id="sa_opt_tt_border" value="1" <?php if($sa_opt_tt_border == 1){echo 'checked="checked"';} ?>>
    <label for="sa_opt_tt_border">CSS3 Rounded Border</label>
    
    <input name="sa_opt_tt_shadow" type="checkbox" class="sa_settings_checkbox" id="sa_opt_tt_shadow" value="1" <?php if($sa_opt_tt_shadow == 1){echo 'checked="checked"';} ?>>
    <label for="sa_opt_tt_shadow">CSS3 Shadow</label>
    
    <h5><?php _e('Source', SA_PLG_NAME); ?></h5>
    <div class="sa_settings_description">Tooltips will be shown searching the advertises's <b style="color:#288DBB">keys</b> in the content so make sure you've entered some key (tag) for your advertises!</div>
    
    </p>
	</div>
    
	<div id="popups">
	<p>
    
    <h4><?php _e('These options will be inherited by all pages and posts that have Global feature enabled', SA_PLG_NAME); ?></h4>
    
    <div id="sa_global_pp_activation">
    <input type="radio" id="sa_global_pp_on" name="sa_opt_pp_activation" value="ON" <?php if($sa_opt_pp_activation == 'ON'){echo 'checked="checked"';} ?>>
    <label for="sa_global_pp_on">ON</label>
    
    <input type="radio" id="sa_global_pp_off" name="sa_opt_pp_activation" value="OFF" <?php if($sa_opt_pp_activation == 'OFF'){echo 'checked="checked"';} ?>>
    <label for="sa_global_pp_off">OFF</label>
    
    <div class="sa_settings_description"><?php _e('Enable Tooltips injection for all posts and pages', SA_PLG_NAME); ?></div>
    </div>
    
    <div class="sa_floated">
    <h5><?php _e('Exiration (seconds)', SA_PLG_NAME); ?></h5>
    <input type="text" id="sa_opt_pp_expires" name="sa_opt_pp_expires" class="sa_small_text" value="<?php echo $sa_opt_pp_expires; ?>">
    </div>
    
    <div class="sa_floated">
    <h5><?php _e('Animation', SA_PLG_NAME); ?></h5>
    
    <select class="sa_settings_select" name="sa_opt_pp_animation" id="sa_opt_pp_animation">
		<option value="fadeAndPop" <?php if($sa_opt_pp_animation == 'fadeAndPop'){echo 'selected="selected"';} ?>>Fade and Pop</option>
		<option value="fade" <?php if($sa_opt_pp_animation == 'fade'){echo 'selected="selected"';} ?>>Fade</option>
		<option value="none" <?php if($sa_opt_pp_animation == 'none'){echo 'selected="selected"';} ?>>None</option>
	</select>    
    </div>
    
    <div class="sa_floated">
    <h5><?php _e('Speed (milliseconds)', SA_PLG_NAME); ?></h5>
    <input type="text" id="sa_opt_pp_speed" name="sa_opt_pp_speed" class="sa_small_text" value="<?php echo $sa_opt_pp_speed; ?>">
    </div>
    
    <div class="sa_clearfix"></div>
    
    <div class="sa_floated">
    <h5><?php _e('Source', SA_PLG_NAME); ?></h5>
    <select class="sa_settings_select" name="sa_opt_pp_source" id="sa_opt_pp_source">
		<option value="density" <?php if($sa_opt_pp_source == 'density'){echo 'selected="selected"';} ?>>Key Density</option>
		<option value="random" <?php if($sa_opt_pp_source == 'random'){echo 'selected="selected"';} ?>>Random ADV from All</option>
		<option value="category" <?php if($sa_opt_pp_source == 'category'){echo 'selected="selected"';} ?>>Random ADV from Category</option>
		<option value="single" <?php if($sa_opt_pp_source == 'single'){echo 'selected="selected"';} ?>>Specific ADV</option>	
	</select>
    </div>
    
    <div id="sa-density" class="sa_floated">
    <h5><?php _e('Key Density', SA_PLG_NAME); ?></h5>
    <div class="sa_settings_description"><?php _e('Our density calculator will search all ADV\'s keys in the content and will popup the ADV that has the tag with higher density in the content.', SA_PLG_NAME); ?></div>
    </div>
    
    <div id="sa-random" class="sa_floated">
    <h5><?php _e('Random ADV from All', SA_PLG_NAME); ?></h5>
    <div class="sa_settings_description"><?php _e('Plugin will popup a random ADV from your ADVs list.', SA_PLG_NAME); ?></div>
    </div>
    
    <div id="sa-category" class="sa_floated">
    <h5><?php _e('Random ADV from Category', SA_PLG_NAME); ?></h5>
    <select class="sa_settings_select" name="sa_opt_pp_cat" id="sa_opt_pp_cat">
    	<?php 
		$sa_adv_cat_args = array(
			'type'                     => 'advertises',
			'child_of'                 => 0,
			'parent'                   => '',
			'orderby'                  => 'name',
			'order'                    => 'ASC',
			'hide_empty'               => 0,
			'hierarchical'             => 0,
			'taxonomy'                 => 'advcategories',
			'pad_counts'               => true 
		
		); 
		$sa_adv_categories = get_categories( $sa_adv_cat_args );
		
		foreach($sa_adv_categories as $category){ ?>
        
		<option value="<?php echo $category->term_id; ?>" <?php if($sa_opt_pp_cat == $category->term_id){echo 'selected="selected"';} ?>><?php echo $category->name.' ('.$category->count.')'; ?></option>
        
        <?php } // Foreach categories ?>
	</select>
    </div>
    
    <div id="sa-single" class="sa_floated">
    <h5><?php _e('Specific ADV', SA_PLG_NAME); ?></h5>
    <select class="sa_settings_select" name="sa_opt_pp_single" id="sa_opt_pp_single">
    	<?php 
		$sa_adv_posts_args = array(
			'posts_per_page'   => -1,
			'orderby'          => 'title',
			'order'            => 'ASC',
			'post_type'        => 'advertises',
			'post_status'      => 'publish'
		); 
		
		$sa_adv_posts = get_posts($sa_adv_posts_args);
		
		
		foreach($sa_adv_posts as $post){ ?>
        
		<option value="<?php echo $post->ID; ?>" <?php if($sa_opt_pp_single == $post->ID){echo 'selected="selected"';} ?>><?php echo $post->post_title; ?></option>
        
        <?php } // Foreach categories ?>
	</select>
    </div>
    
    <div class="sa_clearfix"></div>
     
    </p>
	</div>
    
	<div id="utility">
	<p>
    
    <h5><?php _e('Custom CSS', SA_PLG_NAME); ?></h5>
    <textarea name="sa_opt_css" id="sa_opt_css" class="large-text code"  rows="20"><?php if(!empty($sa_opt_css)){ 
	
		echo $sa_opt_css;
	
	}else{ 
	
	$sa_opt_css_default = '/* Tooltip span stylization */
        
.tooltip {

}
        
.tooltip:hover {

}


/* Popup stylization */
 
.reveal-modal {

}';
    echo $sa_opt_css_default; } ?></textarea> 
    
    <h5><?php _e('Clean your <u>SmartADV</u> cookies', SA_PLG_NAME); ?></h5>
    <a id="remove-storage" class="back button"><?php _e('Clean Cookies', SA_PLG_NAME); ?></a><span id="remove-storage-result"></span>
    </p>
	</div>
    
	</div>	
    
	<?php
	echo '<p><input type="submit" value="'.__('Save Changes', SA_PLG_NAME).'" class="button-primary" id="submit" name="submit"></p>';
	echo '</form>';

	
}
