<?php
/*
File: inc/shortcodes.php
Description: Plugin shortcodes
Plugin: Smart Adv
Author: Alessio Marzo
*/


// Add Tooltip Button
add_action( 'media_buttons', 'sa_tooltip_button', 100 );

function sa_tooltip_button( $page = null, $target = null ) {

		echo '<a href="javascript:void(0);" class="button" title="Add Tooltip" id="sa-tooltip-button"><img src="'.SA_URL.'assets/img/main_icon.png">Add Tooltip</a>';
		
}

// Add Tooltip Generator
add_action( 'admin_footer', 'sa_tooltip_generator' );

function sa_tooltip_generator() { ?>

		<div id="sa-tooltip-generator-overlay" class="sa-overlay-bg" style="display:none"></div>

		<div id="sa-tooltip-generator-wrap" style="display:none">

			<div id="sa-tooltip-generator">

				<a href="#" id="sa-tooltip-generator-close"><span class="sa-close-icon"></span></a>

				<div id="sa-tooltip-generator-shell">
                
                	<div class="sa-title"><?php _e('Tooltip Generator', SA_PLG_NAME); ?></div>
                    
                    <div class="sa-label"><?php _e('Content:', SA_PLG_NAME); ?></div>
                    <select class="sa-select" id="sa-tooltip-generator-content" name="sa-tooltip-generator-content">
                    	<?php 
						$sa_advs_args = array(
										'posts_per_page'   => -1,
										'orderby'          => 'post_title',
										'order'            => 'ASC',
										'post_type'        => 'advertises',
										'post_status'      => 'publish'
										); 
										
						$sa_advs = get_posts( $sa_advs_args );
				
						foreach($sa_advs as $adv){ ?>
                        
                        <option value="<?php echo $adv->ID; ?>"><?php echo $adv->post_title; ?></option>
                        
                        <?php } // foreach advs ?>
                    </select>
                    
                    
                    <div class="sa-label"><?php _e('Style:', SA_PLG_NAME); ?></div>
                    <select class="sa-select" id="sa-tooltip-generator-style" name="sa-tooltip-generator-style">
                    	<option value="">Default yellow style</option>
                        <option value="qtip-light">Light coloured style</option>
                        <option value="qtip-dark">Alternative dark style</option>
                        <option value="qtip-cream">Cream-esque style, similar to the default</option>
                        <option value="qtip-red">Alert-ful red style</option>
                        <option value="qtip-green">Positive green style</option>
                        <option value="qtip-blue">Informative blue style</option>
                        <option value="qtip-bootstrap">Twitter Bootstrap style</option>
                        <option value="qtip-youtube">Google's new YouTube style</option>
                        <option value="qtip-tipsy">Minimalist Tipsy style</option>
                        <option value="qtip-tipped">Tipped libraries "Blue" style</option>
                        <option value="qtip-jtools">jTools tooltip style</option>
                        <option value="qtip-cluetip">Good ole' ClueTip style</option>
                    </select>
                    <br><br>
                    <input type="checkbox" value="1" name="sa-tooltip-generator-border" id="sa-tooltip-generator-border">
					<label for="sa-tooltip-generator-border"><?php _e('CSS3 Rounded Border', SA_PLG_NAME); ?></label>
                    <br>
                    <input type="checkbox" value="1" name="sa-tooltip-generator-shadow" id="sa-tooltip-generator-shadow">
					<label for="sa-tooltip-generator-shadow"><?php _e('CSS3 Shadow', SA_PLG_NAME); ?></label>
                    <br>
                    <div class="sa-label"><?php _e('Keyword:', SA_PLG_NAME); ?></div>
                    <textarea class="sa-textarea" name="sa-tooltip-generator-keyword" id="sa-tooltip-generator-keyword"></textarea>
                    <br>
                    <div class="sa-label"><?php _e('Your Shortcode:', SA_PLG_NAME); ?></div>
                    <code id="sa-tooltip-generator-shortcode"></code>
                    <br>
                    <button id="sa-tooltip-generator-insert" class="button button-primary button-large" ><?php _e('Insert Tooltip', SA_PLG_NAME); ?></button>
        		
                </div> <!-- /tooltip-generator-shell -->

			</div> <!-- /tooltip-generator -->

		</div> <!-- /tooltip-generator-wrap -->
<?php 
}


// Add Tooltip shortcode -> ex. [saTooltip adv="242" style="qtip-light" roundedborder="true" boxshadow="true"] Word [/saTooltip]
add_shortcode( 'saTooltip', 'sa_short_tooltip' );

function sa_short_tooltip( $atts, $content = '' ) {
	
	$samf = new MF;
	
	// Attributes
	extract( shortcode_atts( array('adv' => '', 'style' => '', 'roundedborder' => 'false', 'boxshadow' => 'false'  ), $atts ));

	$tag = $samf->sanitize_string($content);
	$adv_id = $adv;
	
	// Check if ID exists in advs
	if ( get_post_type( $adv_id ) == 'advertises' && get_post_status( $adv_id  ) == 'publish' ) {
	
		$adv_title = get_the_title($adv_id);
		$adv_content = sa_adv_content($adv_id, $adv_title);
		$styling = $style;
		if ($roundedborder == 'true'){$border = ' qtip-rounded';}else{$border = '';}
		if ($boxshadow == 'true'){$shadow = ' qtip-shadow';}else{$shadow = '';}
		$styling_addons = $border.$shadow;
		
		// Return
		$html = '<span class="tooltip" data-tag="'.$tag.'">'.$content.'</span>';
		$html .= '<span class="'.$tag.'" style="display:none;" data-title="'.$adv_title.'" data-styling="'.$styling.$styling_addons.'">'.$adv_content.'</span>';
	
		return $html;
	
	}else{
		
		return $content;
		
	} // End Check ID
	
}